
## v3.0.2 (2021-10-25)

#### :rocket: Enhancement
* [#122](https://github.com/tracked-tools/tracked-maps-and-sets/pull/122) Add support for TypeScript 4.4 ([@dependabot[bot]](https://github.com/apps/dependabot))

#### :bug: Bug Fix
* [#165](https://github.com/tracked-tools/tracked-maps-and-sets/pull/165) Fix: accept Iterable in TrackedMap and TrackedSet ([@chriskrycho](https://github.com/chriskrycho))
* [#137](https://github.com/tracked-tools/tracked-maps-and-sets/pull/137) Fix incorrect prototype chain to make instanceof work ([@NullVoxPopuli](https://github.com/NullVoxPopuli))

#### :memo: Documentation
* [#145](https://github.com/tracked-tools/tracked-maps-and-sets/pull/145) remove highlight.js deprecation warning in changelog ([@jelhan](https://github.com/jelhan))
* [#144](https://github.com/tracked-tools/tracked-maps-and-sets/pull/144) Add note about tracked-built-ins addon ([@SergeAstapov](https://github.com/SergeAstapov))
* [#117](https://github.com/tracked-tools/tracked-maps-and-sets/pull/117) Update Compatibility in Readme ([@simonihmig](https://github.com/simonihmig))

#### Committers: 5
- Chris Krycho ([@chriskrycho](https://github.com/chriskrycho))
- Jeldrik Hanschke ([@jelhan](https://github.com/jelhan))
- Sergey Astapov ([@SergeAstapov](https://github.com/SergeAstapov))
- Simon Ihmig ([@simonihmig](https://github.com/simonihmig))
- [@NullVoxPopuli](https://github.com/NullVoxPopuli)

## v3.0.0 (2021-08-03)

#### :boom: Breaking Change
* [#103](https://github.com/pzuraq/tracked-maps-and-sets/pull/103) Refactor to use TrackedStorage ([@pzuraq](https://github.com/pzuraq))

#### :rocket: Enhancement
* [#42](https://github.com/pzuraq/tracked-maps-and-sets/pull/42) Type check all TS versions since 3.7 in CI ([@chriskrycho](https://github.com/chriskrycho))

#### :bug: Bug Fix
* [#28](https://github.com/pzuraq/tracked-maps-and-sets/pull/28) Fixed the root level undefined ([@kaermorchen](https://github.com/kaermorchen))

#### :memo: Documentation
* [#30](https://github.com/pzuraq/tracked-maps-and-sets/pull/30) Correct the Ember support version in the README ([@chriskrycho](https://github.com/chriskrycho))

#### :house: Internal
* [#54](https://github.com/pzuraq/tracked-maps-and-sets/pull/54) Bump ember-load-initializers from 2.1.1 to 2.1.2 ([@dependabot[bot]](https://github.com/apps/dependabot))
* [#47](https://github.com/pzuraq/tracked-maps-and-sets/pull/47) Bump qunit-dom from 1.1.0 to 1.6.0 ([@dependabot[bot]](https://github.com/apps/dependabot))
* [#46](https://github.com/pzuraq/tracked-maps-and-sets/pull/46) Bump to latest @typescript-eslint/parser ([@chriskrycho](https://github.com/chriskrycho))
* [#45](https://github.com/pzuraq/tracked-maps-and-sets/pull/45) Bump to TS 4.2.4 for dev ([@chriskrycho](https://github.com/chriskrycho))
* [#44](https://github.com/pzuraq/tracked-maps-and-sets/pull/44) Switch to `prepare` npm script ([@chriskrycho](https://github.com/chriskrycho))
* [#43](https://github.com/pzuraq/tracked-maps-and-sets/pull/43) Bump release-it dependencies to latest ([@chriskrycho](https://github.com/chriskrycho))
* [#37](https://github.com/pzuraq/tracked-maps-and-sets/pull/37) Bump ember-resolver from 7.0.0 to 8.0.2 ([@dependabot[bot]](https://github.com/apps/dependabot))
* [#40](https://github.com/pzuraq/tracked-maps-and-sets/pull/40) Bump eslint from 7.0.0 to 7.26.0 ([@dependabot[bot]](https://github.com/apps/dependabot))
* [#42](https://github.com/pzuraq/tracked-maps-and-sets/pull/42) Type check all TS versions since 3.7 in CI ([@chriskrycho](https://github.com/chriskrycho))
* [#39](https://github.com/pzuraq/tracked-maps-and-sets/pull/39) Bump all @types/* dependencies to latest ([@chriskrycho](https://github.com/chriskrycho))
* [#33](https://github.com/pzuraq/tracked-maps-and-sets/pull/33) Bump jquery from 3.4.1 to 3.6.0 ([@dependabot[bot]](https://github.com/apps/dependabot))
* [#35](https://github.com/pzuraq/tracked-maps-and-sets/pull/35) Set up new Dependabot config ([@chriskrycho](https://github.com/chriskrycho))
* [#34](https://github.com/pzuraq/tracked-maps-and-sets/pull/34) Fix branch targets in CI.yml ([@chriskrycho](https://github.com/chriskrycho))
* [#20](https://github.com/pzuraq/tracked-maps-and-sets/pull/20) Bump elliptic from 6.5.2 to 6.5.4 ([@dependabot[bot]](https://github.com/apps/dependabot))
* [#10](https://github.com/pzuraq/tracked-maps-and-sets/pull/10) Bump websocket-extensions from 0.1.3 to 0.1.4 ([@dependabot[bot]](https://github.com/apps/dependabot))
* [#12](https://github.com/pzuraq/tracked-maps-and-sets/pull/12) Bump http-proxy from 1.18.0 to 1.18.1 ([@dependabot[bot]](https://github.com/apps/dependabot))
* [#31](https://github.com/pzuraq/tracked-maps-and-sets/pull/31) Config updates: CI, linting, and Volta ([@chriskrycho](https://github.com/chriskrycho))
* [#19](https://github.com/pzuraq/tracked-maps-and-sets/pull/19) Bump socket.io from 2.3.0 to 2.4.1 ([@dependabot[bot]](https://github.com/apps/dependabot))
* [#22](https://github.com/pzuraq/tracked-maps-and-sets/pull/22) Bump y18n from 4.0.0 to 4.0.1 ([@dependabot[bot]](https://github.com/apps/dependabot))
* [#26](https://github.com/pzuraq/tracked-maps-and-sets/pull/26) Bump handlebars from 4.7.3 to 4.7.7 ([@dependabot[bot]](https://github.com/apps/dependabot))
* [#24](https://github.com/pzuraq/tracked-maps-and-sets/pull/24) Bump underscore from 1.9.2 to 1.13.1 ([@dependabot[bot]](https://github.com/apps/dependabot))
* [#23](https://github.com/pzuraq/tracked-maps-and-sets/pull/23) Bump ssri from 6.0.1 to 6.0.2 ([@dependabot[bot]](https://github.com/apps/dependabot))

#### Committers: 3
- Chris Garrett ([@pzuraq](https://github.com/pzuraq))
- Chris Krycho ([@chriskrycho](https://github.com/chriskrycho))
- Stanislav Romanov ([@kaermorchen](https://github.com/kaermorchen))

## v2.2.1 (2021-01-13)

#### :bug: Bug Fix
* [#15](https://github.com/pzuraq/tracked-maps-and-sets/pull/15) commonjs/index.d.ts should be included in the package ([@BryanCrotaz](https://github.com/BryanCrotaz))

#### Committers: 1
- Bryan ([@BryanCrotaz](https://github.com/BryanCrotaz))

## v2.2.0 (2020-11-05)

#### :rocket: Enhancement
* [#9](https://github.com/pzuraq/tracked-maps-and-sets/pull/9) Generate and include TypeScript types in published build ([@nathanielw](https://github.com/nathanielw))

#### Committers: 1
- Nate Watson ([@nathanielw](https://github.com/nathanielw))

## v2.1.0 (2020-05-19)

#### :rocket: Enhancement
* [#7](https://github.com/pzuraq/tracked-maps-and-sets/pull/7) [FEAT] Makes package usable as a normal NPM package ([@pzuraq](https://github.com/pzuraq))

#### Committers: 1
- Chris Garrett ([@pzuraq](https://github.com/pzuraq))

## v2.0.0 (2020-03-17)

#### :boom: Breaking Change
* [#4](https://github.com/pzuraq/tracked-maps-and-sets/pull/4) [BUGFIX] Uses unknown rather than any for default types ([@pzuraq](https://github.com/pzuraq))

#### :bug: Bug Fix
* [#4](https://github.com/pzuraq/tracked-maps-and-sets/pull/4) [BUGFIX] Uses unknown rather than any for default types ([@pzuraq](https://github.com/pzuraq))

#### Committers: 1
- Chris Garrett ([@pzuraq](https://github.com/pzuraq))

## v1.0.1 (2020-03-17)

#### :bug: Bug Fix
* [#2](https://github.com/pzuraq/tracked-maps-and-sets/pull/2) [BUGFIX] Remove index.d.ts, fix types ([@pzuraq](https://github.com/pzuraq))

#### Committers: 1
- Chris Garrett ([@pzuraq](https://github.com/pzuraq))

## v1.0.0 (2020-03-17)

#### :rocket: Enhancement
* [#1](https://github.com/pzuraq/tracked-maps-and-sets/pull/1) [FEAT] Initial Implementation ([@pzuraq](https://github.com/pzuraq))

#### Committers: 1
- Chris Garrett ([@pzuraq](https://github.com/pzuraq))

